Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCGoalRecognizer::Goalpost Struct Reference

Collaboration diagram for VLCGoalRecognizer::Goalpost:

[legend]
List of all members.

## Public Member Functions
| Goalpost ()
| Constructs an empty goalpost hypothesis.
## Public Attributes
Vector2< int > | topPoint
| Top endpoints of the goalposts.
Vector2< double > | topPointH
bool | topPointInImage
Vector2< int > | bottomPoint
| Bottom endpoints of the goalpost.
Vector2< double > | bottomPointH
bool | onGreen
| Goalpost is standing on the green field.
int | height
| Height and height not conting the image border.
int | visibleHeight
Vector2< int > | edgePoint
| A point aligned with the edge of the goalpost.
Vector2< double > | edgePointH
int | strongEdgeCount
| Number of strong and weak edge points detected.
int | weakEdgeCount
bool | nonExistant
| Scans towards the edge detected unbound goal-coloured areas.
Vector3< int > | color
| Average colour of some pixels near the goalpost.

## Constructor & Destructor Documentation

VLCGoalRecognizer::Goalpost::Goalpost | ( |  | ) | `[inline]`

| Constructs an empty goalpost hypothesis. Definition at line 434 of file VLCGoalRecognizer.h.

## Member Data Documentation

Vector2<int> VLCGoalRecognizer::Goalpost::topPoint

| Top endpoints of the goalposts. Might not be aligned with the edge horizontally. Definition at line 438 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::interpretResults().

Vector2<double> VLCGoalRecognizer::Goalpost::topPointH

| Definition at line 439 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), VLCGoalRecognizer::detectFreePartOfGoal(), and VLCGoalRecognizer::interpretResults().

bool VLCGoalRecognizer::Goalpost::topPointInImage

| Definition at line 440 of file VLCGoalRecognizer.h.

Vector2<int> VLCGoalRecognizer::Goalpost::bottomPoint

| Bottom endpoints of the goalpost. Might not be aligned with the edge horizontally. Definition at line 444 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::interpretResults().

Vector2<double> VLCGoalRecognizer::Goalpost::bottomPointH

| Definition at line 445 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::interpretResults().

bool VLCGoalRecognizer::Goalpost::onGreen

| Goalpost is standing on the green field. Definition at line 448 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), and VLCGoalRecognizer::analyzeGoalpost().

int VLCGoalRecognizer::Goalpost::height

| Height and height not conting the image border. Definition at line 451 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::detectFreePartOfGoal().

int VLCGoalRecognizer::Goalpost::visibleHeight

| Definition at line 452 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost().

Vector2<int> VLCGoalRecognizer::Goalpost::edgePoint

| A point aligned with the edge of the goalpost. Definition at line 455 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::interpretResults().

Vector2<double> VLCGoalRecognizer::Goalpost::edgePointH

| Definition at line 456 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), VLCGoalRecognizer::detectFreePartOfGoal(), and VLCGoalRecognizer::interpretResults().

int VLCGoalRecognizer::Goalpost::strongEdgeCount

| Number of strong and weak edge points detected. Definition at line 459 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost().

int VLCGoalRecognizer::Goalpost::weakEdgeCount

| Definition at line 460 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost().

bool VLCGoalRecognizer::Goalpost::nonExistant

| Scans towards the edge detected unbound goal-coloured areas. This often happens when goals are dectected twice, or the scan along the cross bar failed. If this value is set to true, all other values are invalid. Definition at line 468 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::interpretResults().

Vector3<int> VLCGoalRecognizer::Goalpost::color

| Average colour of some pixels near the goalpost. This value is used to detect the free part of goal (is done in the interpretation after the entire image was scanned) or straightnes checks. Definition at line 473 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::detectFreePartOfGoal().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/VLCImageProcessor/VLCGoalRecognizer.h